components:
  schemas:
    GraphicsController_v1_0_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/GraphicsController_v1_0_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    GraphicsController_v1_0_0_GraphicsController:
      additionalProperties: false
      description: The GraphicsController schema defines a graphics controller that
        can be used to drive one or more display devices.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/GraphicsController_v1_0_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        AssetTag:
          description: The user-assigned asset tag for this graphics controller.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain the user-assigned asset tag,
            which is an identifying string that tracks the drive for inventory purposes.
        BiosVersion:
          description: The version of the graphics controller BIOS or primary graphics
            controller firmware.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the version string of the
            currently installed and running BIOS or firmware for the graphics controller.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        DriverVersion:
          description: The version of the graphics controller driver loaded in the
            operating system.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the version string of the
            currently loaded driver for this graphics controller.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/GraphicsController_v1_0_0_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The location of the graphics controller.
          x-longDescription: This property shall contain location information of the
            associated graphics controller.
        Manufacturer:
          description: The manufacturer of this graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the graphics controller.  This organization
            may be the entity from which the graphics controller is purchased, but
            this is not necessarily true.
        Model:
          description: The product model number of this graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the manufacturer-provided
            model information of this graphics controller.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the manufacturer-provided
            part number for the graphics controller.
        Ports:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ports of the graphics controller.
          x-longDescription: This property shall contain a link to a resource collection
            of type PortCollection.
        SKU:
          description: The SKU for this graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the SKU number for this graphics
            controller.
        SerialNumber:
          description: The serial number for this graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain a manufacturer-allocated
            number that identifies the graphics controller.
        SparePartNumber:
          description: The spare part number of the graphics controller.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the spare part number of
            the graphics controller.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a graphics output device in
        a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    GraphicsController_v1_0_0_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        PCIeDevice:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to the PCIe device that represents this graphics controller.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            PCIeDevice that represents this graphics controller.
        Processors:
          description: An array of links to the processors that are a part of this
            graphics controller.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type Processor that represent the processors that this graphics controller
            contains.
        Processors@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    GraphicsController_v1_0_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#GraphicsController.v1_0_0.GraphicsController'
x-copyright: Copyright 2014-2021 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2021.1'
